CVE-2021-21149

high
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Stack buffer overflow in Data Transfer in Google Chrome on Linux prior to 88.0.4324.182 allowed a remote attacker to perform out of bounds memory access via a crafted HTML page.

References

https://chromereleases.googleblog.com/2021/02/stable-channel-update-for-desktop_16.html

https://crbug.com/1138143

https://lists.fedoraproject.org/archives/list/[email protected]/message/BI6ZIJQYP5DFMYVX4J5OGOU2NQLEZ3SB/

https://lists.fedoraproject.org/archives/list/[email protected]/message/FE5SIKEVYTMDCC5OSXGOM2KRPYLHYMQX/

https://security.gentoo.org/glsa/202104-08

Details

Source: MITRE

Published: 2021-02-22

Updated: 2021-05-01

Type: CWE-787

Risk Information

CVSS v2

Base Score: 6.8

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3

Base Score: 8.8

Vector: CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 2.8

Severity: HIGH

Tenable Plugins

View all (11 total)

IDNameProductFamilySeverity
149223GLSA-202104-08 : Chromium, Google Chrome: Multiple vulnerabilitiesNessusGentoo Local Security Checks
high
148839openSUSE Security Update : opera (openSUSE-2021-413)NessusSuSE Local Security Checks
high
701325Google Chrome < 88.0.4324.182 Multiple VulnerabilitiesNessus Network MonitorWeb Clients
medium
147941Fedora 32 : chromium (2021-c88a96bd4b)NessusFedora Local Security Checks
high
147606openSUSE Security Update : chromium (openSUSE-2021-392)NessusSuSE Local Security Checks
high
146909Fedora 33 : chromium (2021-aa764a8531)NessusFedora Local Security Checks
high
146757Debian DSA-4858-1 : chromium - security updateNessusDebian Local Security Checks
high
146586Microsoft Edge (Chromium) < 88.0.705.74 Multiple VulnerabilitiesNessusWindows
high
146578FreeBSD : chromium -- multiple vulnerabilities (48514901-711d-11eb-9846-e09467587c17)NessusFreeBSD Local Security Checks
high
146544Google Chrome < 88.0.4324.182 Multiple VulnerabilitiesNessusWindows
high
146543Google Chrome < 88.0.4324.182 Multiple VulnerabilitiesNessusMacOS X Local Security Checks
high